package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;

/**
 * <p>
 * 报表回填
 * </p>
 *
 * @author gfhd
 * @since 2024-12-24
 */
@TableName("pro_base_backfill")
public class ProBaseBackfill implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    private String id;

    /**
     * 测点
     */
    private String code;

    /**
     * 场站
     */
    private String station;

    /**
     * 推送/自建
     */
    private String type;

    /**
     * 定时推送
     */
    private Boolean scheduledPush;

    /**
     * 推送时间
     */
    private String pushTime;

    /**
     * 任务描述
     */
    private String taskDescription;

    /**
     * 运行模式
     */
    private String operatingMode;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getStation() {
        return station;
    }

    public void setStation(String station) {
        this.station = station;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getScheduledPush() {
        return scheduledPush;
    }

    public void setScheduledPush(Boolean scheduledPush) {
        this.scheduledPush = scheduledPush;
    }

    public String getPushTime() {
        return pushTime;
    }

    public void setPushTime(String pushTime) {
        this.pushTime = pushTime;
    }

    public String getTaskDescription() {
        return taskDescription;
    }

    public void setTaskDescription(String taskDescription) {
        this.taskDescription = taskDescription;
    }

    public String getOperatingMode() {
        return operatingMode;
    }

    public void setOperatingMode(String operatingMode) {
        this.operatingMode = operatingMode;
    }

    @Override
    public String toString() {
        return "ProBaseBackfill{" +
            "id = " + id +
            ", code = " + code +
            ", station = " + station +
            ", type = " + type +
            ", scheduledPush = " + scheduledPush +
            ", pushTime = " + pushTime +
            ", taskDescription = " + taskDescription +
            ", operatingMode = " + operatingMode +
        "}";
    }
}
