package com.ruoyi.ucp.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 计算测点
 * </p>
 *
 * @author gfhd
 * @since 2024-12-24
 */
@Data
@TableName("pro_econ_equipment_info_js")
public class ProEconEquipmentInfoJs implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(type=IdType.ASSIGN_ID)
    private String id;

    /**
     * 日期
     */
    private Date recordDate;

    /**
     * 风场编号
     */
    private String wpid;

    /**
     * 测点
     */
    private String meterId;

    /**
     * 测点描述
     */
    private String meterName;

    /**
     * 测点数值
     */
    private Double stopCode;

    /**
     * 参考值
     */
    private Double stopCodeModify;

    /**
     * 回填测点
     */
    private String backCode;
}
