package com.ruoyi.ucp.service;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.ucp.entity.LineInfoDay;
import com.ruoyi.ucp.entity.PointInfo;
import com.ruoyi.ucp.util.DatePart;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author gfhd
 * @since 2024-03-21
 */
public interface ILineInfoDayService extends IService<LineInfoDay> {

    public Map<String, LineInfoDay> getByEntity(PointInfo pointInfo);

    Map<String, LineInfoDay> getDatasByPartSelect(Date date, DatePart datePart, String selects, SFunction<LineInfoDay,String> groupId);
    List<LineInfoDay> getDatasByPartSelects(Date date, DatePart datePart, String selects, String groupIds);
}
